> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/job.md).

# Job

Currently available jobs

## GET /v3/jobs

> Get all jobs

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Job","description":"Currently available jobs"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Job":{"type":"object","required":["id","slug","title","headerImage","tileImage","introText","text","intakeDate"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the job"},"slug":{"type":"string","format":"","description":"Title in url format"},"title":{"type":"string","format":"","description":"Job title"},"headerImage":{"type":"string","format":"","description":"Image to display as the header for the job details page"},"tileImage":{"type":"string","format":"","description":"Image to use on the over view page for this job"},"introText":{"type":"string","format":"","description":"Job introductory text"},"text":{"type":"string","format":"","description":"Job description text"},"intakeDate":{"type":"integer","format":"integer","description":"Unix timestamp of the (final) intake date"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/jobs":{"get":{"tags":["Job"],"summary":"Get all jobs","operationId":"getJobs","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Job"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/jobs/{jobId}

> Get the details of a job

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Job","description":"Currently available jobs"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Job":{"type":"object","required":["id","slug","title","headerImage","tileImage","introText","text","intakeDate"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the job"},"slug":{"type":"string","format":"","description":"Title in url format"},"title":{"type":"string","format":"","description":"Job title"},"headerImage":{"type":"string","format":"","description":"Image to display as the header for the job details page"},"tileImage":{"type":"string","format":"","description":"Image to use on the over view page for this job"},"introText":{"type":"string","format":"","description":"Job introductory text"},"text":{"type":"string","format":"","description":"Job description text"},"intakeDate":{"type":"integer","format":"integer","description":"Unix timestamp of the (final) intake date"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/jobs/{jobId}":{"get":{"tags":["Job"],"summary":"Get the details of a job","operationId":"getJob","parameters":[{"name":"jobId","in":"path","description":"The Id of the jobs you are requesting","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Job"}}}}},"404":{"description":"Invalid jobId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/jobs/{jobId}/solicit

> Solicit for a job

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Job","description":"Currently available jobs"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/jobs/{jobId}/solicit":{"post":{"tags":["Job"],"summary":"Solicit for a job","operationId":"createJobSolicit","parameters":[{"name":"jobId","in":"path","description":"The Id of the jobs you are soliciting for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid jobId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/jobs/{jobId}/solicit/{solicitId}/files

> Add files to the solicitation

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Job","description":"Currently available jobs"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/jobs/{jobId}/solicit/{solicitId}/files":{"post":{"tags":["Job"],"summary":"Add files to the solicitation","operationId":"uploadJobSolicitFiles","parameters":[{"name":"jobId","in":"path","description":"The Id of the jobs you are soliciting for","required":true,"schema":{"type":"integer"}},{"name":"solicitId","in":"path","description":"The Id of the solicitation you are uploading files for","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid jobId or solicitId"},"413":{"description":"Request Entity Too Large"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/user/getUserRemoteInfo

> Get user remote information

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Job","description":"Currently available jobs"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"UserRemoteInformation":{"type":"object","required":["ipAddressFromServerVariable","ipAddressFromRequest","xForwardFor","xForwardHost","userAgent"],"properties":{"ipAddressFromServerVariable":{"type":"string","format":"","description":"The ip address for which you wish to fetch the data"},"ipAddressFromRequest":{"type":"string","format":"","description":"The ip address for which you wish to fetch the data"},"xForwardFor":{"type":"string","format":"","description":"The xForwardFor for which you wish to fetch the data","readOnly":true},"xForwardHost":{"type":"string","format":"","description":"The xForwardHost for which you wish to fetch the data","readOnly":true},"userAgent":{"type":"string","format":"","description":"The user agent for which you wish to fetch the data"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/user/getUserRemoteInfo":{"get":{"tags":["Job"],"summary":"Get user remote information","operationId":"getUserGetUserRemoteInfos","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRemoteInformation"}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/api-references/general/job.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
